package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.BoneClub;
import org.project.item.weapons.Weapon;

public class Skeleton extends Enemy{

    private static int maxHP = 80;
    private int hp = maxHP;

    public Skeleton(){
        Weapon SkeletonWeapon = new BoneClub();
        super(maxHP, SkeletonWeapon);
    }

    @Override
    public void specialAbility(Entity target) {
        System.out.printf("\t%s revived itself! ❤\uFE0F\n", getName());
        hp = maxHP/2; // revive (once per battle)
        revived = true;
    }

    public int getMaxHP() {
        return maxHP;
    }

    @Override
    public String getName(){
        return " \uD83D\uDC80 Skeleton";
    }

}